#include <stdio.h>

typedef struct {
  int h,m10,m,s10,s;
} time;

time t1,t2;
long difference;

void ReadTime(time *t) {
  scanf("%2d:%1d%1d:%1d%1d",&t->h,&t->m10,&t->m,&t->s10,&t->s);
/*   fprintf(stderr,"%d:%d%d:%d%d\n",t->h,t->m10,t->m,t->s10,t->s); */
}

int EqualTimes(time t1,time t2) {
  int result; /* ``true'' */
  result=(t1.s==t2.s)&&(t1.s10==t2.s10)&&(t1.m==t2.m)&&(t1.m10==t2.m10)&&(t1.h==t2.h);
  return(result);
}

int OneSecond(time *t) {
  int result=1; /* Always one */
  t->s++;
  if (t->s>9) {
    result++;
    t->s10++;
    t->s=0;
    if (t->s10>5) {
      result++;
      t->m++;
      t->s10=0;
      if (t->m>9) {
	result++;
	t->m10++;
	t->m=0;
	if (t->m10>5) {
	  result++;
	  t->h++;
	  t->m10=0;
	  if ((t->h==10)||(t->h==20)) {
	    result++;
	  } else if (t->h==24) {
	    result++;
	    t->h=0;
	    t->m10=0;
	    t->m=0;
	    t->s10=0;
	    t->s=0;
	  }
	}
      }
    }
  }
  return(result);
}

int main() {
  int runs,r;
  time t1,t2;
  long flips;
  scanf("%d",&runs);
  for (r=0;r<runs;r++) {
    flips=0;
    ReadTime(&t1);
    ReadTime(&t2);
    while (!EqualTimes(t1,t2)) flips+=OneSecond(&t1);
    printf("%ld\n",flips);
  }
  return(0);
}
