#include <stdio.h>
#include <stdlib.h>

int main(void)
{
  int m, n, i, j, ik;
  int pr[1000001], mu[1000001];
#define V pr

  /* Vul het array met 1'en */
  for(i=0; i<=1000000; i++) {
    mu[i] = 1; pr[i] = 1;
  }

  for(i=2; i<1000; i++) {
    if(pr[i]) {
      /* i is priem, dus filter alle veelvouden eruit */
      j=i*i;
      while(j<=1000000) {
        pr[j] = 0;
        j+=i;
      }
    }
  }

  for(i=2; i<=1000; i++) {
    ik=i*i;
    j=ik;
    if(mu[j]) {
      /* mu[i*i] is nog ongelijk aan 0, dus i is priem */

      /* Filter eerst alle veelvouden van i*i eruit */
      while(j<=1000000) {
        mu[j]=0;
        j+=ik;
      }

      /* Veelvouden van i zijn deelbaar door dit priemgetal, dus
         #{p priem, p deelt dit veelvoud} += 1, dus (-1)^dit * -1 */
      j=i;
      while(j<=1000000) {
        mu[j] *= -1;
        j+=i;
      }
    }
    /*    V[i] = V[i-1] + mu[i]; */
  }

  for(i=1001; i<=1000000; i++) {
    if(pr[i]) {
      /* Veelvouden van i zijn deelbaar door dit priemgetal, dus
         #{p priem, p deelt dit veelvoud} += 1, dus (-1)^dit * -1 */
      j=i;
      while(j<=1000000) {
        mu[j] *= -1;
        j+=i;
      }
    }
    /*    V[i] = V[i-1] + mu[i]; */
  }
  V[1] = 1;
  for(i=2; i<=1000000; i++) {
    V[i] = V[i-1] + mu[i];
  }

  scanf("%d", &m);
  for(i=0; i<m; i++) {
    scanf("%d", &n);
    printf("%d\n", abs(V[n]));
  }
  return 0;
}
